﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - March 08, 2011
//
// Remarks: You need latest versions of CASIO runtime libraries on
// your mobile device. If they are not already installed, you can 
// find them as part of the SDK.
//
// Supported devices: DT-X7, DT-X8, DT-X11, DT-X30, IT-600, IT-300,
// IT-800 (direct USB connection on DT-X11 only).
// 
//
// Setup:
// - Disable ActiveSync on PC through "Connection Settings"
//   (uncheck USB and serial connections)
// - Copy script file "test.scr" to working directory of LMWin on PC
//   (default path = C:\<Program Files>\CASIO\LMWin)
// - Launch LMWin and check connection settings at "Configure"
// - Optionally, modify the script at "Script", "Open"
// - Select "Execute", "Script File", and select "test.scr"
// - On your mobile device, set "USB Connection" to "LMWIN/FLCE"
// - On Windows Embedded CE, disable direct "PC Connection"
// - On Windows Mobile, go to ActiveSync, select "Connections...",
//   and uncheck the PC connection
// - Run the sample application on your mobile device
// - The sample script requires JPG files at \My Documents
// - All JPG files will be copied to C:\ on PC and deleted on the 
//   mobile device finally
// - For further details refer to the LMWin Manual, please.
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace LMWinSample
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();

            this.lblInfo.Text = 
                "Launch LMWin with script file on PC instead of ActiveSync.\n\n" +
                "Use USB connection between PC and mobile terminal.\n\n" +
                "Select \"Start\" from main menu to get connected to PC.\n\n" +
                "Sample script file is provided together with project files.";
        }

        private void menuExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void menuStart_Click(object sender, EventArgs e)
        {
            Cursor.Current = Cursors.WaitCursor;

            int result = Lmwin.Start();
            this.statusBar.Text = "LMWin has exited with " + result.ToString();

            Cursor.Current = Cursors.Default;
        }
    }
}